<?php

    require ('dbconnection.php');
    
    require ('../database/digital.php');
    
    function get_total_all_records($conn)
    {
        $statement = $conn->prepare("SELECT * FROM users");
        $statement->execute();
        $result = $statement->fetchAll();
        return count($result);
     
    }
    
    try {
        
        $query = '';
        $output = array();
        $query .= "SELECT * FROM users ";
        
        
        if (isset($_POST["search"]["value"])) {
            $query .= 'WHERE username LIKE "%' . $_POST["search"]["value"] . '%" ';
        }
        if (isset($_POST["order"])) {
            $query .= 'ORDER BY ' . $_POST['order']['0']['column'] . ' ' . $_POST['order']['0']['dir'] . ' ';
        } else {
            $query .= 'ORDER BY id_user DESC ';
        }
        if ($_POST["length"] != -1) {
            $query .= 'LIMIT ' . $_POST['start'] . ', ' . $_POST['length'];
        }
        
        
        
        
        $statement = $conn->prepare($query);
       
        $statement->execute();
        $result = $statement->fetchAll();
        $data = array();
        $filtered_rows = count($result);
        
        foreach ($result as $row) {

            $sub_array = array();
            $sub_array[] = $row["username"];
            
            // Formatação da data
            $originalDate = $row["created_at"];
            $timestamp = strtotime($originalDate);
            $formattedDate = date("d-m-Y", $timestamp);
            $sub_array[] = $formattedDate;
            
            $sub_array[] = '<button type="button" name="update" id_user="' . $row["id_user"] . '" class="btn btn-warning btn-xs update">Atualizar</button>';
            $sub_array[] = '<button type="button" name="delete" id_user="' . $row["id_user"] . '" class="btn btn-danger btn-xs delete">Remover</button>';
            $data[] = $sub_array;
            
        }
        
        
        
       $output = array(
            "draw" => intval($_POST["draw"]),
            "recordsTotal" =>  $filtered_rows,
            "recordsFiltered" => get_total_all_records($conn),
            "data" => $data
        );
        
        echo json_encode($output);
        
        
        // // Close the database connection (optional, as PDO closes automatically when the script ends)
        // $conn = null;
    } catch (PDOException $e) {
        die("Connection failed: " . $e->getMessage());
    }
?>
