<?php

    require ('dbconnection.php');
    
    require ('../database/digital.php');
    
    try {
        
        // // Function to update data in the buttons table
        // function updateGroup($connection, $name, $color)
        // {
        //     $statement = $connection->prepare(
        //         "UPDATE groups 
        //         SET name = :group, color = :groupcolor  
        //         WHERE id_group = :id_group"
        //     );
        //     $result = $statement->execute(
        //         array(
        //             ':group' => $name,
        //             ':groupcolor' => $color,
        //         )
        //     );
        //     return $result;
        // }
    
        if (isset($_POST["id_group"])) {
            $output = array();
            $statement = $conn->prepare("SELECT * FROM groups WHERE id_group = :id_group LIMIT 1");
            $statement->bindParam(':id_group', $_POST["id_group"], PDO::PARAM_INT);
            $statement->execute();
            $result = $statement->fetchAll();
    
            foreach ($result as $row) {
                $output["name"] = $row["name"];
                $output["color"] = $row["color"];
            }
    
            echo json_encode($output);
        }
    } catch (PDOException $e) {
        die("Connection failed: " . $e->getMessage());
    }
?>